//
//  kintView.h
//  iKINT
//
//  Created by Everett Kaser on 1/9/13.
//  Copyright (c) 2013 Everett Kaser. All rights reserved.
//

@import Foundation;
@import Cocoa;
@import CoreGraphics;
@import AVFoundation;


@class kintViewClass;

@interface kintView : NSView {
	
	CGPoint startTouchPosition;
	NSTimer *cellTimer;
	AVAudioPlayer *audioPlayer;
}

@property (nonatomic, assign)CGPoint startTouchPosition;
@property (retain) NSTimer *cellTimer;
@property (nonatomic, strong)AVAudioPlayer *audioPlayer;

-(id)initWithFrame: (CGRect)iRect;
-(void)OnTimer:(NSTimer *)timer;
-(void)KINTtimer:(NSTimer *)timer;

extern kintView	*pKV;
extern CGFloat	kScale;
extern int		kDPI;
//extern UIWebView		*webView;
//extern UIToolbar		*toolBar;
//extern UIBarButtonItem	*exitButton;

@end

extern uint32_t runKEmsg, runKEarg1, runKEarg2, runKEarg3, LastX, LastY, KeyFlags;

uint32_t ForceMsg(uint32_t cmd, uint32_t arg1, uint32_t arg2, uint32_t arg3);
void KINTnonTimer(uint32_t cmd, uint32_t arg1, uint32_t arg2, uint32_t arg3);
void InvDirty(void);
void GetViewSize(void);
void DumpDR(void);
void DumpStr(char *);

